Open CASCADE Technology: BRepAlgo_Image Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
BRepAlgo_Image Class Reference

Stores link between a shape <S> and a shape <NewS> obtained from <S>. <NewS> is an image of <S>. More...

`#include <BRepAlgo_Image.hxx>`

## Public Member Functions
| BRepAlgo_Image ()
void | SetRoot (const TopoDS_Shape &S)
void | Bind (const TopoDS_Shape &OldS, const TopoDS_Shape &NewS)
| Links <NewS> as image of <OldS>. More...
void | Bind (const TopoDS_Shape &OldS, const TopTools_ListOfShape &NewS)
| Links <NewS> as image of <OldS>. More...
void | Add (const TopoDS_Shape &OldS, const TopoDS_Shape &NewS)
| Add <NewS> to the image of <OldS>. More...
void | Add (const TopoDS_Shape &OldS, const TopTools_ListOfShape &NewS)
| Add <NewS> to the image of <OldS>. More...
void | Clear ()
void | Remove (const TopoDS_Shape &S)
| Remove <S> to set of images. More...
const TopTools_ListOfShape & | Roots () const
Standard_Boolean | IsImage (const TopoDS_Shape &S) const
const TopoDS_Shape & | ImageFrom (const TopoDS_Shape &S) const
| Returns the generator of <S> More...
const TopoDS_Shape & | Root (const TopoDS_Shape &S) const
| Returns the upper generator of <S> More...
Standard_Boolean | HasImage (const TopoDS_Shape &S) const
const TopTools_ListOfShape & | Image (const TopoDS_Shape &S) const
| Returns the Image of <S>. Returns <S> in the list if HasImage(S) is false. More...
void | LastImage (const TopoDS_Shape &S, TopTools_ListOfShape &L) const
| Stores in <L> the images of images of...images of <S>. <L> contains only <S> if HasImage(S) is false. More...
void | Compact ()
| Keeps only the link between roots and lastimage. More...
void | Filter (const TopoDS_Shape &S, const TopAbs_ShapeEnum ShapeType)
| Deletes in the images the shape of type <ShapeType> which are not in <S>. Warning: Compact() must be call before. More...

## Detailed Description

Stores link between a shape <S> and a shape <NewS> obtained from <S>. <NewS> is an image of <S>.

## Constructor & Destructor Documentation

BRepAlgo_Image::BRepAlgo_Image | ( |  | ) |

## Member Function Documentation

void BRepAlgo_Image::Add | ( | const TopoDS_Shape & | OldS,
|  | const TopoDS_Shape & | NewS
| ) |  |

Add <NewS> to the image of <OldS>.

void BRepAlgo_Image::Add | ( | const TopoDS_Shape & | OldS,
|  | const TopTools_ListOfShape & | NewS
| ) |  |

Add <NewS> to the image of <OldS>.

void BRepAlgo_Image::Bind | ( | const TopoDS_Shape & | OldS,
|  | const TopoDS_Shape & | NewS
| ) |  |

Links <NewS> as image of <OldS>.

void BRepAlgo_Image::Bind | ( | const TopoDS_Shape & | OldS,
|  | const TopTools_ListOfShape & | NewS
| ) |  |

Links <NewS> as image of <OldS>.

void BRepAlgo_Image::Clear | ( |  | ) |

void BRepAlgo_Image::Compact | ( |  | ) |

Keeps only the link between roots and lastimage.

void BRepAlgo_Image::Filter | ( | const TopoDS_Shape & | S,
|  | const TopAbs_ShapeEnum | ShapeType
| ) |  |

Deletes in the images the shape of type <ShapeType> which are not in <S>. Warning: Compact() must be call before.

Standard_Boolean BRepAlgo_Image::HasImage | ( | const TopoDS_Shape & | S | ) | const

const TopTools_ListOfShape& BRepAlgo_Image::Image | ( | const TopoDS_Shape & | S | ) | const

Returns the Image of <S>. Returns <S> in the list if HasImage(S) is false.

const TopoDS_Shape& BRepAlgo_Image::ImageFrom | ( | const TopoDS_Shape & | S | ) | const

Returns the generator of <S>

Standard_Boolean BRepAlgo_Image::IsImage | ( | const TopoDS_Shape & | S | ) | const

void BRepAlgo_Image::LastImage | ( | const TopoDS_Shape & | S,
|  | TopTools_ListOfShape & | L
| ) |  | const

Stores in <L> the images of images of...images of <S>. <L> contains only <S> if HasImage(S) is false.

void BRepAlgo_Image::Remove | ( | const TopoDS_Shape & | S | ) |

Remove <S> to set of images.

const TopoDS_Shape& BRepAlgo_Image::Root | ( | const TopoDS_Shape & | S | ) | const

Returns the upper generator of <S>

const TopTools_ListOfShape& BRepAlgo_Image::Roots | ( |  | ) | const

void BRepAlgo_Image::SetRoot | ( | const TopoDS_Shape & | S | ) |

The documentation for this class was generated from the following file:

- BRepAlgo_Image.hxx